unit Unit223;

interface

uses
  System.SysUtils,
  DateUtils,
  System.Classes,
  JS,
  Web,
  WEBLib.Graphics,
  WEBLib.Controls,
  WEBLib.Forms,
  WEBLib.Dialogs,
  VCL.TMSFNCTypes,
  VCL.TMSFNCUtils,
  VCL.TMSFNCGraphics,
  VCL.TMSFNCGraphicsTypes,
  VCL.Controls,
  VCL.TMSFNCCustomControl,
  VCL.TMSFNCPlannerBase,
  VCL.TMSFNCPlannerData,
  VCL.TMSFNCPlanner,
  VCL.StdCtrls,
  WEBLib.StdCtrls,
  WEBLib.ExtCtrls;

type
  TForm223 = class(TWebForm)
    WebPanel1: TWebPanel;
    WebButton1: TWebButton;
    Planner: TTMSFNCPlanner;
    WebButton2: TWebButton;
    procedure WebButton1Click(Sender: TObject);
    procedure WebFormCreate(Sender: TObject);
    procedure WebButton2Click(Sender: TObject);
  private
    procedure FillPlanner(FullDay: Boolean);
    { Dclarations prives }
  public
    { Dclarations publiques } n: Integer;
  end;

var
  Form223: TForm223;

implementation

{$R *.dfm}

procedure TForm223.FillPlanner(FullDay: Boolean);
var
  it: TTMSFNCPlannerItem;
begin
  Planner.BeginUpdate;
  Planner.Items.Clear;

  it := Planner.AddOrUpdateItem( //
    DateOf(today) //
    , DateOf(today) + EncodeTime(23, 0, 0, 0), 'test ' + n.ToString //
    , 'Description' //
    );
  it.FullDay := FullDay;
  Planner.EndUpdate;
  Inc(n);
end;

procedure TForm223.WebButton1Click(Sender: TObject);
begin
  FillPlanner(False);

end;

procedure TForm223.WebButton2Click(Sender: TObject);
begin
  FillPlanner(True);
end;

procedure TForm223.WebFormCreate(Sender: TObject);
begin
  n := 1;
end;

end.
